# ChargeItem $charge-item-create

`POST /ChargeItem/$charge-item-create`

This resource contains billing or financial information related to a patient record. 

A <u>**charge item**</u> is a billing charge, procedure, or associated financial information that should be recorded in a healthcare organization’s EHR system. These are a crucial part of maintaining the administrative and financial details associated with patient records. 

This is different from a `Claim` resource in that a `ChargeItem` is sent directly to a provider, while a `Claim` is for requesting reimbursement from a payer. [Learn more about the `Claim` resource](https://docs.redoxengine.com/permalink/8aeb2d01-091b-5bb2-ab4b-515151c54d33-$submit-professional).

You can only create a new charge item. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $charge-item-create

Create a new charge item in a healthcare organization’s EHR system.

Organizations commonly use this operation to post charges for services rendered, medical procedures performed, or supplies used during patient care.

At a minimum, we recommend including these clinical resources in the bundle:

- <u>Required</u>: `Patient`, `ChargeItem`
- <u>Recommended, but optional</u>: `Coverage`, `Practitioner`, `Procedure`, `Encounter`

## Request body

Bundle sent as part of a ChargeItem-create message

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a message. Value: message |
| `entry` | Array of messageHeader or patient or chargeItem or insurance or provider or organization or procedure or diagnosticReport or observation or encounter or Other | Yes | Charge items are typically associated with encounters, patients, and various clinical resources. An array of FHIR resources. At a minimum, a ChargeItem should include the following entries: - Patient - the patient - ChargeItem - the charge item |
| `entry[] (messageHeader).resource` | object | Yes | Additional metadata about the message including the event |
| `entry[] (messageHeader).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: MessageHeader |
| `entry[] (messageHeader).resource.source` | object | Yes | Information about the sender of the message and the Bundle content. |
| `entry[] (messageHeader).resource.source.endpoint` | string | Yes | Identifies the routing target to send acknowledgements to. |
| `entry[] (messageHeader).resource.source.name` | string | No | Human-readable name for the source system. |
| `entry[] (messageHeader).resource.focus` | Array of object | Yes | This describes the focal target resource of the message from which the remainder of the content is referenced from Must be a resource of type `ChargeItem`. |
| `entry[] (messageHeader).resource.focus[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (messageHeader).resource.eventUri` | string | Yes | This describes the message being communicated |
| `entry[] (patient).resource` | object | Yes | The Patient associated with the charge item |
| `entry[] (patient).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Patient |
| `entry[] (patient).resource.identifier` | Array of object | Yes | An identifier for this patient. |
| `entry[] (patient).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (patient).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (patient).resource.identifier[].type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `entry[] (patient).resource.identifier[].type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.name` | Array of object | Yes | A name associated with the individual. |
| `entry[] (patient).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (patient).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.gender` | string | Yes | Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes. Possible values: (USCDI) male, female, other, unknown |
| `entry[] (patient).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (patient).resource.extension` | Array of race or ethnicity or birthsex or patient-citizenship or Other | No | Additional information about patients not represented by standard FHIR fields. |
| `entry[] (patient).resource.extension[] (race).extension` | Array of ombCategory or text | Yes | Sub-extensions to carry more information about the patient's ethnicity |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (race).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (race).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-race |
| `entry[] (patient).resource.extension[] (ethnicity).extension` | Array of ombCategory or text | Yes | An Extension |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity |
| `entry[] (patient).resource.extension[] (birthsex).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-birthsex |
| `entry[] (patient).resource.extension[] (birthsex).valueCode` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). Only one of `valueBase64Binary`, `valueBoolean`, `valueCanonical`, `valueCode`, `valueDate`, `valueDateTime`, `valueDecimal`, `valueId`, `valueInstant`, `valueInteger`, `valueMarkdown`, `valueOid`, `valuePositiveInt`, `valueString`, `valueTime`, `valueUnsignedInt`, `valueUri`, `valueUrl`, `valueUuid`, `valueAddress`, `valueAge`, `valueAnnotation`, `valueAttachment`, `valueCodeableConcept`, `valueCoding`, `valueContactPoint`, `valueCount`, `valueDistance`, `valueDuration`, `valueHumanName`, `valueIdentifier`, `valueMoney`, `valuePeriod`, `valueQuantity`, `valueRange`, `valueRatio`, `valueReference`, `valueSampledData`, `valueSignature`, `valueTiming`, `valueContactDetail`, `valueContributor`, `valueDataRequirement`, `valueExpression`, `valueParameterDefinition`, `valueRelatedArtifact`, `valueTriggerDefinition`, `valueUsageContext`, `valueDosage`, `valueMeta` may be present. Possible values: M, F |
| `entry[] (patient).resource.extension[] (patient-citizenship).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/patient-citizenship |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: code |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (patient).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.active` | boolean | No | Whether this patient record is in active use. Many systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules. It is often used to filter patient lists to exclude inactive patients Deceased patients may also be marked as inactive for the same reasons, but may be active for some time after death. |
| `entry[] (patient).resource.telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted. |
| `entry[] (patient).resource.telecom[].system` | string | Yes | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: email, fax, other, pager, sms, url |
| `entry[] (patient).resource.telecom[].value` | string | Yes | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: mobile, old, temp, work |
| `entry[] (patient).resource.birthDate` | string | No | The date of birth for the individual. |
| `entry[] (patient).resource.address` | Array of object | No | An address for the individual. |
| `entry[] (patient).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.contact` | Array of object | No | A contact party (e.g. guardian, partner, friend) for the patient. |
| `entry[] (patient).resource.contact[].relationship` | Array of object | No | The nature of the relationship between the patient and the contact. Redox sends and recognizes the following values for system: - `http://terminology.hl7.org/CodeSystem/v3-RoleCode` - used as RelationToPatient - `http://terminology.hl7.org/CodeSystem/v2-0131` - used as the ContactRole |
| `entry[] (patient).resource.contact[].relationship[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.contact[].relationship[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.contact[].relationship[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.contact[].relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.contact[].name` | object | No | A name associated with the contact person. |
| `entry[] (patient).resource.contact[].name.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.contact[].name.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.contact[].name.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.contact[].telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (patient).resource.contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (patient).resource.contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (patient).resource.contact[].address` | object | No | Address for the contact person. |
| `entry[] (patient).resource.contact[].address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.contact[].address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.contact[].address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.contact[].address.district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.contact[].address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.contact[].address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.contact[].address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.communication` | Array of object | No | A language which may be used to communicate with the patient about his or her health. |
| `entry[] (patient).resource.communication[].language` | object | Yes | The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English. |
| `entry[] (patient).resource.communication[].language.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.communication[].language.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.communication[].language.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.communication[].language.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.generalPractitioner` | Array of object | No | Patient's nominated care provider. Must be a resource of type `Practitioner`. |
| `entry[] (patient).resource.generalPractitioner[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.managingOrganization` | object | No | Organization that is the custodian of the patient record. Must be a resource of type `Organization`. |
| `entry[] (patient).resource.managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link` | Array of object | No | Link to another patient resource that concerns the same actual patient. |
| `entry[] (patient).resource.link[].other` | object | Yes | The other patient resource that the link refers to. Must be a resource of type `Patient`. |
| `entry[] (patient).resource.link[].other.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link[].type` | string | Yes | The type of link between this patient resource and another patient resource. Possible values: replaced-by, replaces |
| `entry[] (patient).resource.deceasedBoolean` | boolean | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (patient).resource.deceasedDateTime` | string | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (chargeItem).resource` | object | Yes | The ChargeItem |
| `entry[] (chargeItem).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: ChargeItem |
| `entry[] (chargeItem).resource.identifier` | Array of object | Yes | Identifiers assigned to this event performer or other systems. |
| `entry[] (chargeItem).resource.identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (chargeItem).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (chargeItem).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (chargeItem).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (chargeItem).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (chargeItem).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (chargeItem).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (chargeItem).resource.status` | string | Yes | The current state of the ChargeItem. Possible values: planned, billable, not-billable, aborted, billed, entered-in-error, unknown |
| `entry[] (chargeItem).resource.code` | object | Yes | A code that identifies the charge, like a billing code. |
| `entry[] (chargeItem).resource.code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.subject` | object | Yes | The individual or set of individuals the action is being or was performed on. Must reference one of the following types of resources: - `Patient` - `Group` |
| `entry[] (chargeItem).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.definitionUri` | Array of string | No | References the (external) source of pricing information, rules of application for the code this ChargeItem uses. |
| `entry[] (chargeItem).resource.definitionCanonical` | Array of string | No | References the source of pricing information, rules of application for the code this ChargeItem uses. |
| `entry[] (chargeItem).resource.partOf` | Array of object | No | ChargeItems can be grouped to larger ChargeItems covering the whole set. Must be a resource of type `ChargeItem`. |
| `entry[] (chargeItem).resource.partOf[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.context` | object | No | The encounter or episode of care that establishes the context for this event. Must reference one of the following types of resources: - `Encounter` - `EpisodeOfCare` |
| `entry[] (chargeItem).resource.context.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.performer` | Array of object | No | Indicates who or what performed or participated in the charged service. |
| `entry[] (chargeItem).resource.performer[].actor` | object | Yes | The device, practitioner, etc. who performed or participated in the service. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `Organization` - `CareTeam` - `Patient` - `Device` - `RelatedPerson` |
| `entry[] (chargeItem).resource.performer[].actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.performer[].function` | object | No | Describes the type of performance or participation(e.g. primary surgeon, anesthesiologiest, etc.). |
| `entry[] (chargeItem).resource.performer[].function.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.performer[].function.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.performer[].function.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.performer[].function.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.performingOrganization` | object | No | The organization requesting the service. Must be a resource of type `Organization`. |
| `entry[] (chargeItem).resource.performingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.requestingOrganization` | object | No | The organization performing the service. Must be a resource of type `Organization`. |
| `entry[] (chargeItem).resource.requestingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.costCenter` | object | No | The financial cost center permits the tracking of charge attribution. Must be a resource of type `Organization`. |
| `entry[] (chargeItem).resource.costCenter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.quantity` | object | No | Quantity of which the charge item has been serviced. |
| `entry[] (chargeItem).resource.quantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (chargeItem).resource.quantity.system` | string | No | The identification of the system that provides the coded form of the unit. |
| `entry[] (chargeItem).resource.quantity.code` | string | No | A computer processable form of the unit in some unit representation system. |
| `entry[] (chargeItem).resource.bodysite` | Array of object | No | The anatomical location where the related service has been applied. |
| `entry[] (chargeItem).resource.bodysite[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.bodysite[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.bodysite[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.bodysite[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.factorOverride` | number | No | Factor overriding the factor determined by the rules associated with the code. |
| `entry[] (chargeItem).resource.priceOverride` | object | No | Total price of the charge overriding the list price associated with the code. |
| `entry[] (chargeItem).resource.priceOverride.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (chargeItem).resource.priceOverride.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (chargeItem).resource.overrideReason` | string | No | If the list price or the rule-based factor associated with the code is overridden, this attribute can capture a text to indicate the  reason for this action. |
| `entry[] (chargeItem).resource.enterer` | object | No | The device, practitioner, etc. who entered the charge item. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `Organization` - `Patient` - `Device` - `RelatedPerson` |
| `entry[] (chargeItem).resource.enterer.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.enteredDate` | string | No | Date the charge item was entered. |
| `entry[] (chargeItem).resource.reason` | Array of object | No | Describes why the event occurred in coded or textual form. |
| `entry[] (chargeItem).resource.reason[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.reason[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.reason[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.reason[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.service` | Array of object | No | Indicated the rendered service that caused this charge. Must reference one of the following types of resources: - `DiagnosticReport` - `ImagingStudy` - `Immunization` - `MedicationAdministration` - `MedicationDispense` - `Observation` - `Procedure` - `SupplyDelivery` |
| `entry[] (chargeItem).resource.service[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.account` | Array of object | No | Account into which this ChargeItems belongs. Must be a resource of type `Account`. |
| `entry[] (chargeItem).resource.account[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.note` | Array of object | No | Comments made about the event by the performer, subject or other participants. |
| `entry[] (chargeItem).resource.note[].text` | string | Yes | The text of the annotation in markdown format. |
| `entry[] (chargeItem).resource.supportingInformation` | Array of object | No | Further information supporting this charge. Must be a resource of type `Resource`. |
| `entry[] (chargeItem).resource.supportingInformation[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.occurrenceDateTime` | string | No | Date/time(s) or duration when the charged service was applied. Only one of `occurrenceDateTime`, `occurrencePeriod`, `occurrenceTiming` may be present. |
| `entry[] (chargeItem).resource.occurrencePeriod` | object | No | Date/time(s) or duration when the charged service was applied. Only one of `occurrenceDateTime`, `occurrencePeriod`, `occurrenceTiming` may be present. |
| `entry[] (chargeItem).resource.occurrencePeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (chargeItem).resource.occurrencePeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (chargeItem).resource.occurrenceTiming` | object | No | Date/time(s) or duration when the charged service was applied. Only one of `occurrenceDateTime`, `occurrencePeriod`, `occurrenceTiming` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat` | object | No | A set of rules that describe when the event is scheduled. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.frequency` | number | No | The number of times to repeat the action within the specified period. If frequencyMax is present, this element indicates the lower bound of the allowed range of the frequency. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.frequencyMax` | number | No | If present, indicates that the frequency is a range - so to repeat between [frequency] and [frequencyMax] times within the period or period range. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.period` | number | No | Indicates the duration of time over which repetitions are to occur; e.g. to express "3 times per day", 3 would be the frequency and "1 day" would be the period. If periodMax is present, this element indicates the lower bound of the allowed range of the period length. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period` | object | No | This element contains extensions for `period`. Depending on the extensions present it could be used in place of `period` or contain additional information about `period`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._period.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.periodMax` | number | No | If present, indicates that the period is a range from [period] to [periodMax], allowing expressing concepts such as "do this once every 3-5 days. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax` | object | No | This element contains extensions for `periodMax`. Depending on the extensions present it could be used in place of `periodMax` or contain additional information about `periodMax`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodMax.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.periodUnit` | string | No | The units of time for the period in UCUM units. Possible values: s, min, h, d, wk, mo, a - unit of time (UCUM) |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit` | object | No | This element contains extensions for `periodUnit`. Depending on the extensions present it could be used in place of `periodUnit` or contain additional information about `periodUnit`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._periodUnit.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.when` | Array of string | No | An approximate time period during the day, potentially linked to an event of daily living that indicates when the action should occur. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when` | object | No | This element contains extensions for `when`. Depending on the extensions present it could be used in place of `when` or contain additional information about `when`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat._when.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.boundsPeriod` | object | No | Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.boundsPeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (chargeItem).resource.occurrenceTiming.repeat.boundsPeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (chargeItem).resource.productReference` | object | No | Identifies the device, food, drug or other product being charged either by type code or reference to an instance. Only one of `productReference`, `productCodeableConcept` may be present. Must reference one of the following types of resources: - `Device` - `Medication` - `Substance` |
| `entry[] (chargeItem).resource.productReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (chargeItem).resource.productCodeableConcept` | object | No | Identifies the device, food, drug or other product being charged either by type code or reference to an instance. Only one of `productReference`, `productCodeableConcept` may be present. |
| `entry[] (chargeItem).resource.productCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (chargeItem).resource.productCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (chargeItem).resource.productCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (chargeItem).resource.productCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource` | object | Yes | The Coverage/Insurance associated with this charge item |
| `entry[] (insurance).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Coverage |
| `entry[] (insurance).resource.status` | string | Yes | The status of the resource instance. Possible values: active, cancelled, draft, entered-in-error |
| `entry[] (insurance).resource.beneficiary` | object | Yes | The party who benefits from the insurance coverage; the patient when products and/or services are provided. Must be a resource of type `Patient`. |
| `entry[] (insurance).resource.beneficiary.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (insurance).resource.payor` | Array of object | Yes | The program or plan underwriter or payor including both insurance and non-insurance agreements, such as patient-pay agreements. Must reference one of the following types of resources: - `Organization` - `Patient` - `RelatedPerson` |
| `entry[] (insurance).resource.payor[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (insurance).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (insurance).resource.identifier` | Array of object | No | A unique identifier assigned to this coverage. |
| `entry[] (insurance).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (insurance).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (insurance).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (insurance).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (insurance).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (insurance).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (insurance).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (insurance).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (insurance).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (insurance).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (insurance).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (insurance).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (insurance).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (insurance).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (insurance).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (insurance).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (insurance).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (insurance).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (insurance).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (insurance).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (insurance).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (insurance).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (insurance).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (insurance).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (insurance).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (insurance).resource.type` | object | No | The type of coverage: social program, medical plan, accident coverage (workers compensation, auto), group health or payment by an individual or organization. |
| `entry[] (insurance).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource.subscriber` | object | No | The party who has signed-up for or 'owns' the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due. Must reference one of the following types of resources: - `Patient` - `RelatedPerson` |
| `entry[] (insurance).resource.subscriber.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (insurance).resource.period` | object | No | Time period during which the coverage is in force. A missing start date indicates the start date isn't known, a missing end date means the coverage is continuing to be in force. |
| `entry[] (insurance).resource.period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (insurance).resource.period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (insurance).resource.class` | Array of group or plan or agreementType or coverageType or Other | No | A suite of underwriter specific classifiers. |
| `entry[] (insurance).resource.class[] (group).type` | object | Yes | Identifies this class as representing the insurance group. |
| `entry[] (insurance).resource.class[] (group).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (insurance).resource.class[] (group).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: group |
| `entry[] (insurance).resource.class[] (group).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/coverage-class |
| `entry[] (insurance).resource.class[] (group).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource.class[] (group).value` | string | Yes | Identifier of the group. |
| `entry[] (insurance).resource.class[] (group).name` | string | No | Name of the group. |
| `entry[] (insurance).resource.class[] (plan).type` | object | Yes | Identifies this class as representing the insurance plan. |
| `entry[] (insurance).resource.class[] (plan).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (insurance).resource.class[] (plan).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: plan |
| `entry[] (insurance).resource.class[] (plan).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/coverage-class |
| `entry[] (insurance).resource.class[] (plan).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource.class[] (plan).value` | string | Yes | Identifier of the plan. |
| `entry[] (insurance).resource.class[] (plan).name` | string | No | Name of the plan. |
| `entry[] (insurance).resource.class[] (agreementType).type` | object | Yes | Identifies this class as representing the insurance agreementType. |
| `entry[] (insurance).resource.class[] (agreementType).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (insurance).resource.class[] (agreementType).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: agreement-type |
| `entry[] (insurance).resource.class[] (agreementType).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: https://fhir.redoxengine.com/CodeSystem/other-coverage-class |
| `entry[] (insurance).resource.class[] (agreementType).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource.class[] (agreementType).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (insurance).resource.class[] (coverageType).type` | object | Yes | Identifies this class as representing the insurance coverageType. |
| `entry[] (insurance).resource.class[] (coverageType).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (insurance).resource.class[] (coverageType).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: coverage-type |
| `entry[] (insurance).resource.class[] (coverageType).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: https://fhir.redoxengine.com/CodeSystem/other-coverage-class |
| `entry[] (insurance).resource.class[] (coverageType).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource.class[] (coverageType).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (insurance).resource.class[] (Other).type` | object | Yes | The type of classification for which an insurer-specific class label or number and optional name is provided, for example may be used to identify a class of coverage or employer group, Policy, Plan. |
| `entry[] (insurance).resource.class[] (Other).type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (insurance).resource.class[] (Other).type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (insurance).resource.class[] (Other).type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (insurance).resource.class[] (Other).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (insurance).resource.class[] (Other).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (provider).resource` | object | Yes | The Provider/Practitioner associated with this charge item |
| `entry[] (provider).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Practitioner |
| `entry[] (provider).resource.identifier` | Array of NPI or Other | Yes | An identifier that applies to this person in this role. |
| `entry[] (provider).resource.identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `entry[] (provider).resource.identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (provider).resource.identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (provider).resource.identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (provider).resource.identifier[] (Other).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (provider).resource.identifier[] (Other).value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (provider).resource.identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (provider).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (provider).resource.identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (provider).resource.identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
[...]
